<div>
    <h2 id="page-heading">
        <span jhiTranslate="icyTrainApp.voyage.home.title">Voyages</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-voyage" [routerLink]="['/voyage/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span  jhiTranslate="icyTrainApp.voyage.home.createLabel">
            Create a new Voyage
            </span>
        </button>
    </h2>
    <jhi-alert-error></jhi-alert-error>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="alert alert-warning" *ngIf="voyages?.length === 0">
        <span jhiTranslate="icyTrainApp.voyage.home.notFound">No voyages found</span>
    </div>
    <div class="table-responsive" *ngIf="voyages?.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
            <tr>
            <th scope="col" ><span jhiTranslate="global.field.id">ID</span></th>
            <th scope="col" ><span jhiTranslate="icyTrainApp.voyage.startDate">Start Date</span></th>
            <th scope="col" ><span jhiTranslate="icyTrainApp.voyage.endDate">End Date</span></th>
            <th scope="col" ><span jhiTranslate="icyTrainApp.voyage.from">From</span></th>
            <th scope="col" ><span jhiTranslate="icyTrainApp.voyage.to">To</span></th>
            <th scope="col"></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let voyage of voyages ;trackBy: trackId">
                <td><a [routerLink]="['/voyage', voyage.id, 'view' ]">{{voyage.id}}</a></td>
                <td>{{voyage.startDate | date:'medium'}}</td>
                <td>{{voyage.endDate | date:'medium'}}</td>
                <td>
                    <div *ngIf="voyage.from">
                        <a [routerLink]="['/train-statione', voyage.from?.id, 'view' ]" >{{voyage.from?.id}}</a>
                    </div>
                </td>
                <td>
                    <div *ngIf="voyage.to">
                        <a [routerLink]="['/train-statione', voyage.to?.id, 'view' ]" >{{voyage.to?.id}}</a>
                    </div>
                </td>
                <td class="text-right">
                    <div class="btn-group">
                        <button type="submit"
                                [routerLink]="['/voyage', voyage.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/voyage', voyage.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit" (click)="delete(voyage)"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
